/**
 * Demo of bud project.
 * @memberof module:apeman-demo-bud/lib
 * @function setup
 * @param {object} params - Template params.
 * @returns {object} - Coz bud configuration.
 */

"use strict";

const argx = require('argx'),
    fs = require('fs');

/** @lends setup */
function setup(params) {
    let args = argx(arguments);
    params = args.shift('object') || {};

    return {
        force: true,
        mode: '444',
        path: '',
        tmpl: fs.readFileSync(__dirname + '/../asset/tmpl.hbs').toString(),
        data: {
            params: params
        }
    }
}

module.exports = setup;
